Overview
GET
/chat/chat-rich-content/{id}chatGet chat_rich_content by id
Fetch a record from chat-rich-content by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
chat_rich_content
- idstring
- ecosystemIdstring
- messageIdstring
- displayOrderinteger
- kindstring
- payloadstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chat-rich-content/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-rich-content/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();